TCLAP::ArgTraits< T > Class Template Reference

Arg traits are used to get compile type specialization when parsing argument values. More...

`#include <ArgTraits.h>`

## Public Types

typedef DefaultArgTrait< T, hasTrait >::ValueCategory | ValueCategory

## Detailed Description

### template<typename T>
class TCLAP::ArgTraits< T >

Arg traits are used to get compile type specialization when parsing argument values.

Using an ArgTraits you can specify the way that values gets assigned to any particular type during parsing. The two supported types are StringLike and ValueLike. ValueLike is the default and means that operator>> will be used to assign values to the type.

Definition at line 82 of file ArgTraits.h.

## Member Typedef Documentation

## ValueCategory

template<typename T >

typedef DefaultArgTrait<T, hasTrait>::ValueCategory TCLAP::ArgTraits< T >::ValueCategory

Definition at line 116 of file ArgTraits.h.

The documentation for this class was generated from the following file:

- ArgTraits.h